//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "nrclasses.hpp"
#include "nrcommbox.hpp"
#include "nrhid.hpp"
#include <ComCtrls.hpp>
#include "CSPIN.h"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TCheckBox *CheckBox1;
        TnrDeviceBox *nrDeviceBox1;
        TnrHid *nrHid1;
        TTreeView *TreeView1;
        TListView *ListView1;
        TMemo *Memo1;
        TLabel *Label1;
        TGroupBox *GroupBox1;
        TLabel *Label2;
        TLabel *Label3;
        TEdit *Edit1;
        TButton *bSend;
        TCSpinEdit *eID;
        void __fastcall nrHid1Close(TObject *Sender);
        void __fastcall nrHid1AfterReceive(TObject *Com, Pointer Buffer,
          DWORD Received);
        void __fastcall CheckBox1Click(TObject *Sender);
        void __fastcall nrDeviceBox1Change(TObject *Sender);
        void __fastcall TreeView1Change(TObject *Sender, TTreeNode *Node);
        void __fastcall bSendClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
        void __fastcall AddInfo(AnsiString sCapt, AnsiString sVal);
        void __fastcall UpdateTreeInfo();
        void __fastcall UpdateListViewInfo();
        void __fastcall UpdateGeneralInfo();
        void __fastcall UpdateButtonsInfo(HIDP_BUTTON_CAPS *v);
        void __fastcall UpdateValuesInfo(HIDP_VALUE_CAPS v);

};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
